Page MenuHomePhabricator

[PowerPC] Implement Vector Extract Mask builtins in LLVM/Clang
ClosedPublic

Authored by amyk on Jun 26 2020, 11:57 AM.

Details

Summary

This patch implements the vec_extractm function prototypes in altivec.h in order to utilize
the vector extract with mask instructions introduced in Power10.

Diff Detail

Event Timeline

amyk created this revision.Jun 26 2020, 11:57 AM
amyk added a comment.Jul 27 2020, 3:59 PM

I will need to update this patch to remove the instruction definition and MC tests.

amyk retitled this revision from [PowerPC][Power10] Implement Vector Extract Mask builtins in LLVM/Clang to [PowerPC] Implement Vector Extract Mask builtins in LLVM/Clang.Jul 27 2020, 4:00 PM
amyk edited the summary of this revision. (Show Details)
amyk updated this revision to Diff 281107.Jul 27 2020, 9:25 PM
  • Rebased patch
  • Updated patch to remove instruction definitions and MC tests
bsaleil accepted this revision as: bsaleil.Aug 4 2020, 11:58 AM
bsaleil added a subscriber: bsaleil.

LGTM

This revision is now accepted and ready to land.Aug 4 2020, 11:58 AM
This revision was landed with ongoing or failed builds.Aug 17 2020, 7:14 PM
This revision was automatically updated to reflect the committed changes.